Update User

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/user

To update a user, provide the id of the user and an object of properties which you want to overwrite. A user can update itself and an organization can update its user.

Request parametersResponse schema
Expand all Reset
id *UUIDrequired

The unique identifier of the entity

properties *OBJECTrequired
email EMAIL
name STRING
city STRING
theme STRING
warp_notifications BOOLEAN
show_formula_tutorial BOOLEAN
onboarding_menu_visible BOOLEAN
onboarding_editor_active BOOLEAN
onboarding_editor_progress NUMBER
collection_order ARRAY[STRING]
company Multilingual string
role STRING
suborganization STRING
campaign STRING
timezone_id STRING
feature_overrides ARRAY
onboarding_integration_progress STRING
onboarding_embedded_editor_progress NUMBER
account_overrides OBJECT
Can be executed by:
User Owner
Organization Owner
Can be associated to:
Securables
Groups
Collections
Shareables
Organizations
Integrations
Locale
Country
Thumbnails
Account
Alert
Authorization
Plugin
Schedule
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "id": "123e4567-e89...",
  "email": "john.doe@example.com",
  "name": "My New Name",
  "city": "New City Name",
  "phone": "+1234567890",
  "theme": "light",
  "warp_notifications": false,
  "show_formula_tutorial": true,
  "onboarding_menu_visible": true,
  "onboarding_editor_active": true,
  "onboarding_editor_progress": 50,
  "collection_order": [
    "item1",
    "item2",
    "item3"
  ],
  "company": {
    "en": "Company Name"
  },
  "role": "member",
  "suborganization": "SubOrgName",
  "plan": "basic",
  "cycle": "monthly",
  "currency": "USD",
  "campaign": "campaign_name",
  "timezone_id": "Europe/Brussels",
  "feature_overrides": [
    "!flag_alerting",
    "flag_opendataboard"
  ],
  "onboarding_integration_progress": "complete",
  "onboarding_embedded_editor_progress": 25
}